Subject: [IETFMIBS] Display of InetAutonomousSystemNumber

From: Jeffrey Haas <[email-masked]>
Date: Mon, 10 Mar 2008 17:21:24 -0400

Bert was kind enough to answer a quick hall question at IETF.  I'm not
calling for any specific action on this issue but it's probably
worthwhile to start thinking about it since I suspect I won't be the
first to encounter it.

InetAutonomousSystemNumber is defined in the INET-ADDRESS-MIB.  It has
no display hint and a base type of Unsigned32.

http://www.ietf.org/internet-drafts/draft-michaelson-4byte-as-representation-05.txt
proposes representing 4 byte AS numbers in a <top half>.<bottom half>
format among others.

Given that the base type is Unsigned32 rather than OCTET-STRING, in
order to provide a display hint that would cover this format, we'd need
a display hint that can effectively do math.  We don't have one.  

The original thread can be viewed here:
http://www.ietf.org/mail-archive/web/idr/current/msg02556.html

-- Jeff
_______________________________________________
IETFMIBS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietfmibs

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 11 Mar 2008 04:27:46 +0100

> a display hint that can effectively do math.  We don't have one.  

The authors of the SMIv2 and the authors of the INET-ADDRESS-MIB
simply did not anticipate this (but we did anticipate that there will
be 32-bit AS numbers - at least something ;-).

It might be possible to write down in the DESCRIPTION clause how this
number is to be formatted and then tools will either come with special
code to get this right or they will fall back to the default of
showing a number. A more fancy solution would require to update the
SMIv2 and I have some doubt that this will find much support (and even
then implementations would need to be updated; so this does not buy
you much in terms of actual deployment).

So I think the way to go is to add text to the INET-ADDRESS-MIB how
this value should be rendered once a decision on the format has been
taken and the INET-ADDRESS-MIB is getting revised.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
IETFMIBS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietfmibs

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 11 Mar 2008 15:33:54 +0100

The right thing to do would be to write an Errata request to the RFC
Editor relative to RFC4001, so that the issue is documented as an errata
and archived and remembered by the time when the RFC will be revised. 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Tuesday, March 11, 2008 5:28 AM
> To: Jeffrey Haas
> Cc: [email-masked]
> Subject: Re: [IETFMIBS] Display of InetAutonomousSystemNumber
> 
> http://www.ietf.org/internet-drafts/draft-michaelson-4byte-as-represen
> > tation-05.txt proposes representing 4 byte AS numbers in a <top 
> > half>.<bottom half> format among others.
> > 
> > order to provide a display hint that would cover this format, we'd 
> > need a display hint that can effectively do math.  We don't 
> have one.
> 
> The authors of the SMIv2 and the authors of the 
> INET-ADDRESS-MIB simply did not anticipate this (but we did 
> anticipate that there will be 32-bit AS numbers - at least 
> something ;-).
> 
> It might be possible to write down in the DESCRIPTION clause 
> how this number is to be formatted and then tools will either 
> come with special code to get this right or they will fall 
> back to the default of showing a number. A more fancy 
> solution would require to update the
> SMIv2 and I have some doubt that this will find much support 
> (and even then implementations would need to be updated; so 
> this does not buy you much in terms of actual deployment).
> 
> So I think the way to go is to add text to the 
> INET-ADDRESS-MIB how this value should be rendered once a 
> decision on the format has been taken and the 
> INET-ADDRESS-MIB is getting revised.
> 
> /js
> 
> --